<?php
#-------------------------------------------------------------------------------------
# Define the webserver and path parameters

# SITE_URL = URL
# SITE_PATH = PATH of Directories (virtual)
# D_ = Directory
#-------------------------------------------------------------------------------------
/*
define('SITE_URL',"#*DIR_URL*#"); 
define('SITE_PATH', "#*DIR_NAME*#"); 
*/

define('SITE_URL',"#DIR_URL#"); 
define('SITE_PATH', "#DIR_NAME#"); 

#-------------------------------------------------------------------------------------
# Installer Checking
#-------------------------------------------------------------------------------------
  if (strstr(SITE_PATH,"DIR_NAM")) {
    if (is_dir('install')) {
      header('Location: install/index.php');

	 } 
  } else {
  	if (is_dir('install')) {
      	//echo "<p>&nbsp;</p><p style='background:#585f69; color:#ffffff; padding:25px 5px 25px 5px; text-align:center;font-weight:normal; font-size:25px; margin:5px 0 5px 0; border:1px dotted #fcc7d2;'>Please rename or remove the install directory from the root.</p>";
    }
 }
#-------------------------------------------------------------------------------------


define('SITE_ROOT_FOLDER','/timmy/'); //Frontend Directory Name
define('SITE_BACKEND_ROOT_FOLDER','cp/');	//Backend/Admin Control Panel Directory Name
define('SITE_MODULES_FOLDER','modules/'); //Frontend Directory Name

define('SITE_FOOTER','Copyright 2010 TimBekkerdotcom http://www.InternetMarketingXL.com');

//define('SITE_URL',"http://".$_SERVER["HTTP_HOST"].SITE_ROOT_FOLDER); 
//define('SITE_PATH', $_SERVER["DOCUMENT_ROOT"].SITE_ROOT_FOLDER); 

define('BACKEND_URL',SITE_URL.SITE_BACKEND_ROOT_FOLDER);
define('BACKEND_PATH', SITE_PATH.SITE_BACKEND_ROOT_FOLDER); 

define('D_SITE_FRONT_IMAGES_URL', SITE_URL.'images/');
define('D_SITE_FRONT_IMAGES_PATH', SITE_PATH.'images/');

define('IMPORT_URL', SITE_URL.'import/');
define('IMPORT_PATH', SITE_PATH.'import/');

define('D_SITE_BACKEND_IMAGES_URL', SITE_URL.SITE_BACKEND_ROOT_FOLDER.'images/');
define('D_SITE_BACKEND_IMAGES_PATH', SITE_PATH.SITE_BACKEND_ROOT_FOLDER.'images/');

define('THEME_URL', SITE_URL.'theme/');
define('THEME_PATH', SITE_PATH.'theme/');

## Temp Video Folder URL & Paths Variables  -------
define('TEMP_IMAGE_URL', SITE_URL.'images/image_temp_files/');
define('TEMP_IMAGE_PATH', SITE_PATH.'images/image_temp_files/');

## Video URL & Paths Variables  -------
define('IMAGE_URL', SITE_URL.'images/image_source_files/');
define('IMAGE_PATH', SITE_PATH.'images/image_source_files/');
$IMAGE_SIZE = array(array("W"=>535, "H"=>415));

## Video Image URL & Paths Variables  -------
define('IMG_IMAGE_URL', SITE_URL.'images/image_title_images/');
define('IMG_IMAGE_PATH', SITE_PATH.'images/image_title_images/');
$IMG_IMAGE_SIZE = array(array("W"=>74, "H"=>70), array("W"=>97, "H"=>103), array("W"=>425, "H"=>344));

#  -----  YOUR IMAGE VARIABLE  DECLARE HERE  START -----------------

define('PROMO_IMAGES_URL', SITE_URL.'promotion_images/');
define('PROMO_IMAGES_PATH', SITE_PATH.'promotion_images/');

define('PROMO_BANNER_URL', SITE_URL.'promotion_banner/');
define('PROMO_BANNER_PATH', SITE_PATH.'promotion_banner/');

#  -----  YOUR IMAGE VARIABLE  DECLARE HERE  START -----------------

define('HOST_LOGO_IMAGE_URL', SITE_URL.'host_logo/');
define('HOST_LOGO_IMAGE_PATH', SITE_PATH.'host_logo/');


define('HOST_IMAGE_URL', SITE_URL.'host_images/');
define('HOST_IMAGE_PATH', SITE_PATH.'host_images/');

## Affiliate Image Variables  -------

define('AFFILIATE_IMAGE_URL', SITE_URL.'images/affiliate/');
define('AFFILIATE_IMAGE_PATH', SITE_PATH.'images/affiliate/');

define('D_SITE_FRONT_CSS_URL', SITE_URL.'css/');
define('D_SITE_BACKEND_CSS_URL', SITE_URL.SITE_BACKEND_ROOT_FOLDER.'css/');

define('D_SITE_FRONT_JS_URL', SITE_URL.'js/');
define('D_SITE_BACKEND_JS_URL', SITE_URL.SITE_BACKEND_ROOT_FOLDER.'js/');

define('D_SITE_BACKEND_MODULES',SITE_PATH.SITE_BACKEND_ROOT_FOLDER.SITE_MODULES_FOLDER);	//Backend Includes Directory Name
define('D_SITE_BACKEND_MODULES_URL',SITE_URL.SITE_BACKEND_ROOT_FOLDER.SITE_MODULES_FOLDER);//Backend Includes Directory Name

#-------------------------------------------------------------------------------------
# Site Setting Path & Url
#-------------------------------------------------------------------------------------
define('SITE_SETTING_PATH', D_SITE_FRONT_IMAGES_PATH.'site_setting/');
define('SITE_SETTING_URL', D_SITE_FRONT_IMAGES_URL.'site_setting/');
#-------------------------------------------------------------------------------------

define('D_SITE_FRONTEND_MODULES', SITE_PATH.SITE_MODULES_FOLDER);	//Frontend Includes Directory Name

define('D_SITE_FRONTEND_TEMPLATE_MODULES', SITE_PATH."templates/".SITE_MODULES_FOLDER);	//Frontend Template Modile Includes Directory Name

define('D_SITE_INCLUDES', 'includes/');	//Includes Directory Name

define('D_SITE_FUNCTION', SITE_PATH.D_SITE_INCLUDES.'functions/');	//Function Directory Name
define('D_SITE_CLASS', SITE_PATH.D_SITE_INCLUDES.'classes/');	//Class Directory Name

define('D_SITE_LANGUAGE', SITE_PATH.D_SITE_INCLUDES.'languages/'); //Language Directory Name

define('D_SITE_CLASS_SMARTY', D_SITE_CLASS.'smarty/');	//Smarty Class Directory Name

define('D_SITE_SMATRY_TEMPLATE', SITE_PATH.'templates/');	//Smarty Templates Directory Name

define('SITE_BACKEND_SESSION_SUFFIX', 'moviesthatmatter');
define('SITE_DEFAULT_CURRENCY_SYMBOL', '$');
define('SITE_PHP_FILE_EXTENSION', '.php');

define('ASC_ORDER_IMAGE', D_SITE_BACKEND_IMAGES_URL.'asc_order.gif');
define('DESC_ORDER_IMAGE', D_SITE_BACKEND_IMAGES_URL.'desc_order.gif');

define('SITE_BACKEND_404_ERROR_FILE', D_SITE_BACKEND_MODULES.'404error'.SITE_PHP_FILE_EXTENSION);

define('SITE_FRONTEND_404_ERROR_FILE', D_SITE_FRONTEND_MODULES.'404error'.SITE_PHP_FILE_EXTENSION);
#-------------------------------------------------------------------------------------

define('D_SITE_DB_BACKUP_URL', SITE_URL.SITE_BACKEND_ROOT_FOLDER.'db_backup_timmy007/');
define('D_SITE_DB_BACKUP_PATH', SITE_PATH.SITE_BACKEND_ROOT_FOLDER.'db_backup_timmy007/');

#-------------------------------------------------------------------------------------
# Include Database connectivity file.
#-------------------------------------------------------------------------------------
include_once(SITE_PATH.D_SITE_INCLUDES."db_connection.php");
#-------------------------------------------------------------------------------------
?>